PHPmotion Installation
  >  
Pre-Installation Checks (results)
 
Below are the results from the server minimum requirements test. Anything with a red cross has failed and you can ask your web host to fix it for you. Alternatively, if you have a dedicated server or a vps, you can use our Server Setup Service. You can also use one of our Selected Web Hosts whose servers already have these requirements. Most of them also offer free automatic PHPmotion installation.
 
Item
Status
Notes
     
PHP Settings    
- PHP Version & PHPmotion Version   This version is NOT currently supported
- PHP safe_mode ?   Off
- PHP enable_dl ?   enable_dl is not set correct. It should be set to: On
     
Server Modules    
- FFmpeg ?   ffmpeg could not be found/verified on this server
- Mencoder ?   mencoder could not be found/verified on this server
- Flvtool2 ?   flvtool2 could not be found/verified on this server
Server Modules - Help

The results above show that your server does not have one or more of the applications (server modules) needed to run a video sharing website. PHPmotion needs these server side tools to do various things like (convert videos, resize videos, create thumbnails and more)

What is the solution?
  1. If your website is on a dedicated server or a vps, then we can install all the needed things for you. Click this link for details
  2. If your website is on standard web hosting, then you will need to move your website to a web host that already has all these needed tools installed on their servers. The good news is we have teamed up with some of the leading hosting companies who not only have the needed applications on all their servers, but they will also install PHPmotion for you free of charge. Click this link to find out more

Note: When you move to our recommended webhosts, or if you let us setup your server for you, then any PHPshield Errors (if any -below) will also be resolved.

     
PHPshield Related Checks ?    
- Checking if PHPshield encoded files are working   Error! - See detailed explanation below
 
PHPShield Error - Help

The results above indicate that there is a problem with PHPShield. Below is some useful information, to help you resolve this. If the server modules test (above) has also failed, then simply follow the advice given above.

What is PHPshield?

PHPshield is an application that is needed to run a few files found in PHPmotion. Normally, if you have uploaded everything correctly, it should all work. PHPmotion comes already to run (with its own set of PHPshield loders)...however listed below are some reasons why a problem has been found this time.

Causes & Solutions
  1. The setup wizard was unable to complete the test for PHPshield. However it may still be ok and you should continue.
    Solution: If you get any errors when you load your website or if you just get a blank page, visit our forum for help or our wiki
  2. Your server is 64bit and you need to use 64bit PHPshield loaders.
    Solution: You can download the correct loaders here. Once you have downloaded, you must unzip the file and upload the contents (2 files) into your FTP folder /phpshield. Remember to upload in Binary Mode
 
continue
Your Installation Progress
Additional Information & Help
Get Free Installation